> ## Documentation Index
> Fetch the complete documentation index at: https://waasapi.uuwallet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 请求提币单(需二次确认)

## 接口描述

商户提交需二次确认的提币订单。


## OpenAPI

````yaml POST /api/v1/api/order/withdrawRequest
openapi: 3.1.0
info:
  title: API Documentation
  description: A sample API documentation
  version: 1.0.0
servers:
  - url: https://waas2-out-api.powersafe-rel.cc/
security: []
paths:
  /api/v1/api/order/withdrawRequest:
    post:
      tags:
        - order-controller
      summary: 请求提币订单（需二次确认）
      operationId: withdrawRequest
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          description: 必须设置为 application/x-www-form-urlencoded
        - name: X-API-KEY
          in: header
          required: true
          description: 平台分配的商户身份凭证
          schema:
            type: string
            example: 53af2797-3eca-4412-b0cc-15273afe2d3e
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - data
              properties:
                data:
                  type: string
                  description: >-
                    Base64编码的RSA加密数据，由以下原始参数加密生成:


                    **userId** (integer): 商户在WaaS系统中的ID。


                    **tenantUserId** (integer): 表示商户系统中的用户ID。


                    **tenantType** (integer): 表示商户的类型，这里规定类型为1。


                    **callBackId**   (string):  商户需确保该 callBackId 的唯一性。WaaS
                    在收到请求后，将使用该参数主动回调商户，以获取具体的提币单信息。
                  pattern: ^[A-Za-z0-9+/]+={0,2}$
                  example: YMMpi1yLhJJbUYEN9IC3VXNXgfSBqKdHfOD4cf6cOlBb75whL9S...
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                required:
                  - code
                  - message
                  - data
                properties:
                  code:
                    type: integer
                    description: 业务状态码（0 = 成功），其他值均表示失败。
                    example: 0
                  message:
                    type: string
                    description: 正常情况下返回为空，当请求失败时则会返回错误信息。
                    example: ''
                  data:
                    type: string
                    description: |-
                      Base64编码的RSA加密数据，由以下原始参数加密生成:

                      `tenantUserId` (string): WaaS在响应中返回tenantUserId以供确认。
                    example: >-
                      KMMiCBQVBt9WsfiIYACX/9gtyIGBJkSijwuKx4Dr8755EMtpHCE5Vev6YMSDiKyJ.....
              examples:
                encrypted_response_example:
                  summary: 加密响应示例
                  value:
                    code: 0
                    message: ''
                    data: >-
                      KMMiCBQVBt9WsfiIYACX/9gtyIGBJkSijwuKx4Dr8755EMtpHCE5Vev6YMSDiKyJ.....
                decrypted_response_example:
                  summary: 解密后的完整响应
                  value:
                    code: 0
                    message: ''
                    data: '{"tenantUserId":"tenant123"}'
        '401':
          $ref: '#/components/responses/UnauthorizedError'
        '403':
          $ref: '#/components/responses/ForbiddenError'
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  responses:
    UnauthorizedError:
      description: 用户未授权，需提供有效的身份凭证。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: UNAUTHORIZED
            message: unauthorized
    ForbiddenError:
      description: 访问被拒绝，用户许可权不足。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: FORBIDDEN
            message: forbidden
    NotFoundError:
      description: 请求的资源未找到，检查 URL 是否正确。
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: string
                description: 错误代码
              message:
                type: string
                description: 错误描述
          example:
            code: NOT FOUND
            message: not found

````